public class Node {
	private int value;
	Node left, right;
	
	Node (int v){
		value = v;
	}
	
	public int getValue(){
		return value;
	}
	
	public void insert(int v){
		if (v <= value){
			if (left == null)
				left = new Node(v);
			else
				left.insert(v);
		}else{
			if (right == null)
				right = new Node(v);
			else
				right.insert(v);
			
		}
	}
	
	public boolean contains(int v){
		if (v < value){
			if (left != null)
				return left.contains(v);
			else
				return false;

		}else{
			if (v > value){
				if (right != null)
					return right.contains(v);
				else
					return false;

			}else
				return true;
		}
	}
	
	public void print(){
		if (left != null)
			left.print();
		
		System.out.println(value);
		
		if (right != null)
			right.print();			
	}
	
	
}
